<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
CreatePolicy Enumeration
See Also

The policy for how to handle database creation.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public enum CreatePolicy

Visual Basic (Declaration)

    Public Enumeration CreatePolicy

Visual C++

    public enum class CreatePolicy

# Members

| Member name | Description
--- | --- | ---
| NEVER | Never create the database.
| IF_NEEDED | Create the database if it does not already exist.
| ALWAYS | Do not open the database and return an error if it already exists.

# See Also

BerkeleyDB Namespace